## org.eclipse.jst.jsf.facesconfig.emf.impl
Class FactoryTypeImpl

    java.lang.Object
      EObjectImpl
          org.eclipse.jst.jsf.facesconfig.emf.impl.FactoryTypeImpl

All Implemented Interfaces:
  FactoryType

    public class FactoryTypeImpl

extends EObjectImpl
implements FactoryType

An implementation of the model object 'Factory Type'.

The following features are implemented:

- `Application Factory`
- `Exception Handler Factory`
- `External Context Factory`
- `Faces Context Factory`
- `Partial View Context Factory`
- `Lifecycle Factory`
- `View Declaration Language Factory`
- `Tag Handler Delegate Factory`
- `Render Kit Factory`
- `Visit Context Factory`
- `Factory Extension`
- `Id`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`EList` `getApplicationFactory()`
`EList` `getExceptionHandlerFactory()`
`EList` `getExternalContextFactory()`
`EList` `getFacesContextFactory()`
`EList` `getFactoryExtension()`
`java.lang.String` `getId()`
`EList` `getLifecycleFactory()`
`EList` `getPartialViewContextFactory()`
`EList` `getRenderKitFactory()`
`EList` `getTagHandlerDelegateFactory()`
`EList` `getViewDeclarationLanguageFactory()`
`EList` `getVisitContextFactory()`
`void` `setId(java.lang.String newId)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### copyright

    public static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getApplicationFactory

    public EList getApplicationFactory()

  Specified by:
    `getApplicationFactory` in interface `FactoryType`
  Returns:
    the value of the 'Application Factory' containment reference list.
  See Also:
    `FacesConfigPackage.getFactoryType_ApplicationFactory()`

### getExceptionHandlerFactory

    public EList getExceptionHandlerFactory()

  Specified by:
    `getExceptionHandlerFactory` in interface `FactoryType`
  Returns:
    the value of the 'Exception Handler Factory' containment reference list.
  See Also:
    `FacesConfigPackage.getFactoryType_ExceptionHandlerFactory()`

### getExternalContextFactory

    public EList getExternalContextFactory()

  Specified by:
    `getExternalContextFactory` in interface `FactoryType`
  Returns:
    the value of the 'External Context Factory' containment reference list.
  See Also:
    `FacesConfigPackage.getFactoryType_ExternalContextFactory()`

### getFacesContextFactory

    public EList getFacesContextFactory()

  Specified by:
    `getFacesContextFactory` in interface `FactoryType`
  Returns:
    the value of the 'Faces Context Factory' containment reference list.
  See Also:
    `FacesConfigPackage.getFactoryType_FacesContextFactory()`

### getPartialViewContextFactory

    public EList getPartialViewContextFactory()

  Specified by:
    `getPartialViewContextFactory` in interface `FactoryType`
  Returns:
    the value of the 'Partial View Context Factory' containment reference list.
  See Also:
    `FacesConfigPackage.getFactoryType_PartialViewContextFactory()`

### getLifecycleFactory

    public EList getLifecycleFactory()

  Specified by:
    `getLifecycleFactory` in interface `FactoryType`
  Returns:
    the value of the 'Lifecycle Factory' containment reference list.
  See Also:
    `FacesConfigPackage.getFactoryType_LifecycleFactory()`

### getViewDeclarationLanguageFactory

    public EList getViewDeclarationLanguageFactory()

  Specified by:
    `getViewDeclarationLanguageFactory` in interface `FactoryType`
  Returns:
    the value of the 'View Declaration Language Factory' containment reference list.
  See Also:
    `FacesConfigPackage.getFactoryType_ViewDeclarationLanguageFactory()`

### getTagHandlerDelegateFactory

    public EList getTagHandlerDelegateFactory()

  Specified by:
    `getTagHandlerDelegateFactory` in interface `FactoryType`
  Returns:
    the value of the 'Tag Handler Delegate Factory' containment reference list.
  See Also:
    `FacesConfigPackage.getFactoryType_TagHandlerDelegateFactory()`

### getRenderKitFactory

    public EList getRenderKitFactory()

  Specified by:
    `getRenderKitFactory` in interface `FactoryType`
  Returns:
    the value of the 'Render Kit Factory' containment reference list.
  See Also:
    `FacesConfigPackage.getFactoryType_RenderKitFactory()`

### getVisitContextFactory

    public EList getVisitContextFactory()

  Specified by:
    `getVisitContextFactory` in interface `FactoryType`
  Returns:
    the value of the 'Visit Context Factory' containment reference list.
  See Also:
    `FacesConfigPackage.getFactoryType_VisitContextFactory()`

### getFactoryExtension

    public EList getFactoryExtension()

  Specified by:
    `getFactoryExtension` in interface `FactoryType`
  Returns:
    the value of the 'Factory Extension' reference list.
  See Also:
    `FacesConfigPackage.getFactoryType_FactoryExtension()`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `FactoryType`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `FactoryType.setId(String)`, `FacesConfigPackage.getFactoryType_Id()`

### setId

    public void setId(java.lang.String newId)

  Specified by:
    `setId` in interface `FactoryType`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `FactoryType.getId()`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

### eUnset

    public void eUnset(int featureID)

### eIsSet

    public boolean eIsSet(int featureID)

### toString

    public java.lang.String toString()